## ros-kinetic-turtlebot-simulator 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_simulator)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-turtlebot-simulator (2.2.3-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.com>  Mon, 18 Sep 2017 07:00:00 -0000

ros-kinetic-turtlebot-simulator (2.2.2-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.com>  Wed, 16 Sep 2015 07:00:00 -0000

ros-kinetic-turtlebot-simulator (2.2.1-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.com>  Fri, 07 Aug 2015 07:00:00 -0000

ros-kinetic-turtlebot-simulator (2.2.0-0xenial) xenial; urgency=high

  * add turtlebot_stdr in meta package fixes #44 <https://github.com/turtlebot/turtlebot_simulator/issues/44>
  * add turtlebot_stage
  * Contributors: Jihoon Lee

 -- OSRF <turtlebot@osrfoundation.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-simulator (2.1.1-0xenial) xenial; urgency=high



 -- OSRF <turtlebot@osrfoundation.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-simulator (2.1.0-0xenial) xenial; urgency=high

  * Add bugtracker and repo info URLs.

 -- OSRF <turtlebot@osrfoundation.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-simulator (2.0.0-0xenial) xenial; urgency=high

  * Migrated to use stand-alone Gazebo installation
  * All packages have been catkinized

 -- OSRF <turtlebot@osrfoundation.com>  Tue, 16 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot-simulator
Section: misc
Priority: extra
Maintainer: OSRF <turtlebot@osrfoundation.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/turtlebot_simulator
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-turtlebot-gazebo, ros-kinetic-turtlebot-stage, ros-kinetic-turtlebot-stdr
Description: Catkin metapackage for the turtlebot_simulator stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-simulator//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
